/transactions/{merchantId}/v3

Sandbox (Testing): https://gateway.sand.us.zip.co/transactions/{merchantId}/v3

An abbreviated list of payments in JSON format.

Important Notes

If the "productType" is set to "Virtual", and the "transactionType" is set to "Capture", the following "metadata" will be returned in your response with these parameters:

  • authorizationCodes: An authorization code for the authorizations made on the virtual card. It can be one or many, depending on the number of authorizations done on the card.
  • networkTransactionId: A unique transaction id from the payment gateway.
  • issuingCardType: Can be "Virtual" or "InStore", depending on where the card was processed.

Note: The metadata will be blank for "transactionType": "Refund."

Example Response

[
    {
        "merchantId": "788452a3-7339-409f-89bc-f1436006821e",
        "transactionId": "14be0d14-171f-4b69-9f49-2ce7537ac1bf",
        "transactionDateTime": "2022-08-17T23:59:28.1191459+00:00",
        "statementId": "77df71d9-3845-42b3-b78a-ade8833db2a0",
        "statementNumber": "77df71d9384542b3b78aade8833db2a0",
        "orderCreatedDateTime": "2022-08-17T23:59:25.932865+00:00",
        "orderNumber": "110817-282404",
        "orderId": "ab3eadeb-d6b4-41b4-8bf3-05d746192662",
        "merchantName": "TEST",
        "merchantReference": "6fgd835-ee5x7gzz-N",
        "merchantTransactionReference": "ea4278bf-e9f9-4bbd-8cf4-5864ab1a9c1d",
        "transactionType": "Capture",
        "debitOrCredit": "Credit",
        "currency": "USD",
        "amount": 396.0900,
        "amountSigned": 396.0900,
        "productType": "Virtual",
        "captureAmount": 396.0900,
        "merchantFeeAmount": 0,
        "refundAmount": 0,
        "merchantFeeReversalAmount": 0,
        "transactionFeeReversalAmount": 0,
        "transactionFeeAmount": 0,
        "merchantFeeForPaymentPlanAmount": 0,
        "merchantFeeForPaymentPlanReversalAmount": 0,
        "metadata": {
            "authorizationCodes": [
                "S00000"
            ],
            "networkTransactionId": "1234567890123456",
            "issuingCardType": "Virtual"
        }
    }
]
Path Params
string
required

The unique Zip Merchant ID

Query Params
string

The Transfer Id of the payment to filter transactions by

date
required

The begin created date of the query search

date
required

The end created date of the query search

string

The order sort of the result set

string
required

The signature for merchant validation

string
required

The unique Zip Merchant ID

int32
required

The page subset of the total results. Default is 1.

int32
required

The number of records to include in the result set. Default/maximum is 100,000.

Headers
string
required

Territory of the request (US)

string
required

The signature for merchant validation

Response

Language
Response
Choose an example:
application/json